org.richfaces.fragment.editor.toolbar

## Enum EditorTextAligns

- java.lang.Object
- - java.lang.Enum<EditorTextAligns>
  - - org.richfaces.fragment.editor.toolbar.EditorTextAligns

- All Implemented Interfaces:
    Serializable, Comparable<EditorTextAligns>, EditorButton

      public enum EditorTextAligns
      extends Enum<EditorTextAligns>
      implements EditorButton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `CENTER`
    `LEFT`
    `RIGHT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCSSClassName()`
    `String` | `toString()`
    `static EditorTextAligns` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditorTextAligns[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final EditorTextAligns LEFT

    - #### CENTER

          public static final EditorTextAligns CENTER

    - #### RIGHT

          public static final EditorTextAligns RIGHT

    - #### BLOCK

          public static final EditorTextAligns BLOCK

  - ### Method Detail

    - #### values

          public static EditorTextAligns[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditorTextAligns c : EditorTextAligns.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditorTextAligns valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EditorTextAligns>`

    - #### getCSSClassName

          public String getCSSClassName()

      Specified by:
        `getCSSClassName` in interface `EditorButton`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.